--- title: "Get Key Activity Logs" slug: "security-kms2-key-activity-logs" updated: 2026-09-17T10:25:45Z published: 2026-09-17T10:25:45Z canonical: "api.ncloud-docs.com/security-kms2-key-activity-logs" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Key Activity Logs Available in Classic and VPC Get the key usage history list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /kms/v1/keys/{keyTag}/activities | ### Request headers For information about the headers common to all Key Management Service APIs, see the account authentication method in [Key Management Service request headers](/docs/en/security-kms#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%942%EA%B3%84%EC%A0%95%EC%9D%B8%EC%A6%9D). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `keyTag` | String | Required | Key tag - Unique identifier for the key derived from the key name - See [Get key list](/docs/en/security-kms2-key-list) - Use to request encryption or decryption with REST APIs - Key tags are not treated as confidential information | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `keyword` | String | Optional | Filter with keyword | | `timestampFrom` | Long | Optional | Query start date and time (millisecond) - Current time minus one day (default) - Unix timestamp format | | `timestampTo` | Long | Optional | Query end date and time (millisecond) timestamp format - Current time (default) - Unix timestamp format | | `pageNo` | Integer | Optional | Request page number - 1 (default) | | `pageSize` | Integer | Optional | Page output count - 1-200 (default: 100) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ocapi.ncloud.com/kms/v1/keys/a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6/activities' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Success or Failure | | `data` | Object | - | Response result | | `data.activityLogList` | Array | - | Key usage history list details: [activityLogList](/docs/en/security-kms2-key-activity-logs#activityLogList) | | `data.pageSize` | Integer | - | Number of page outputs | | `data.currentPageNo` | Integer | - | Current page number | | `data.totalPageNo` | Integer | - | Total page number | | `data.totalCount` | Integer | - | Number of response results | #### `activityLogList` The following describes `activityLogList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `timestamp` | String | - | Request date and time (millisecond) - ISO 8601 format | | `data` | Object | - | Details by usage history | | `data.KmsKey` | Object | - | Key details | | `data.KmsKey.keyTag` | String | - | Tag of the key that was used | | `data.KmsKey.keyName` | String | - | Key name | | `data.KmsKey.nrn` | String | - | Key resource global identifier name (Ncloud resource name) | | `data.requestor` | Object | - | Request details | | `data.requestor.requestType` | String | - | Request type - `CONSOLE` \| `API` \| `SYSTEM` - `CONSOLE`: Request from console - `API`: Request with API - `SYSTEM`: Processing by automatic rotation and deletion scheduling | | `data.requestor.id` | String | - | Requestor account ID | | `data.requestor.ip` | String | - | Requestor IP address | | `data.api` | Object | - | API request details | | `data.api.result` | String | - | API request result - `SUCCESS`: request successful | | `data.api.action` | String | - | API request name | | `data.api.type` | String | - | API authentication method - `account-auth` \| `product-auth` - `account-auth`: account authentication method - `product-auth`: token authentication method - Display only if `data.requestor.requestType` is `API` | | `message` | String | - | Response content - Display success/failure of the response | ### Response status codes For information about the HTTP status codes common to all Key Management Service APIs, see [Key Management Service response status codes](/docs/en/security-kms#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C2). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "activityLogList": [ { "timestamp": "2024-12-09T11:50:10.861+09:00", "data": { "kmsKey": { "keyTag": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6", "keyName": "{KEY_IDENTIFIER}", "nrn": "nrn:PUB:KMS::xxxxxxx:Key/xxxx-xxxxx" }, "requestor": { "requestType": "CONSOLE", "id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee", "ip": "xxx.xxx.xxx.xxx" }, "api": { "result": "SUCCESS", "action": "GetKeyInfo", "type": "product-auth" } }, "message": "{\"result\":\"SUCCESS\",\"action\":\"GetKeyInfo\",\"keyTag\":\"a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6\"}" } ], "pageSize": 100, "currentPageNo": 1, "totalPageNo": 1, "totalCount": 1 } } ```